using Entities.Contracts;
using Entities.DTO;
using System.Net;

namespace TechHelper.Services
{
	public interface IClassService : IBaseService<ClassDto, Guid>
	{
		public Task<ApiResponse> UserRegister(UserRegistrationToClassDto user);
		public Task<ApiResponse> GetUserClass(Guid user); // List<Class>
		public Task<ApiResponse> GetUserClassRole(Guid user); // List<UserClassRoleDto>
		public Task<ApiResponse> GetClassStudents(ClassDto classDto); // Class
		public Task<ApiResponse> GetGradeClasses(byte Grade); // Class
		Task GetClassStudents(byte grade, byte id);
	}
}
